#!/bin/bash

ex=test_locks

echo "---> run with TICKET";
./${ex}_TICKET $@;

locks="TAS TTAS";
atomics="USE_CAS USE_FAI USE_SWAP USE_FAI_CAS USE_SWAP_CAS";

for l in $locks;
do
    echo "---> run with $l";
    for ao in $atomics;
    do
	echo "------> and $ao";
	./${ex}_${l}_${ao} $@;
    done;
done;
